$(document).ready(function() {
	
	function isValidPhoneNumber(ph) {
	if (ph == null) {
	return false;
	}
	
	var stripped = ph.replace(/[\s()+-]|ext\.?/gi, "");
	// 10 is the minimum number of numbers required
	return ((/\d{10,}/i).test(stripped));
	}
	
	$.validator.addMethod("phone", function(ph, element) {
	if (ph == null) {
	return false;
	}
	
	var stripped = ph.replace(/[\s()+-]|ext\.?/gi, "");
	// 10 is the minimum number of numbers required
	return ((/\d{10,}/i).test(stripped));
	}, "Valid entry required (ex. 111-111-1111)");
	
	
	  	$("#contact_form").validate({
			
			submitHandler: function(form) {
				$('#success').append('<div id="please_wait"><p>Please wait...</p></div>'); 
				
				$('#contact_form').ajaxSubmit({ 
					
					target: '#success', // target identifies the element(s) to update with the server response 
					datatype: 'html', // Must use this parameter to work with the php form processing script I made.
					success: function() { // success identifies the function to invoke when the server response has been received
						$('#contact_form').hide();
						$('#please_wait').hide();
					} 
				}); 
			}
			
		});
		
	

});