paypal.minicart.render();
        
    $(document).ready(function() {

        /********** SETTING DOCUMENT DEFAULTS HERE **********/

        // Get current cart total
        var cartTotal = paypal.minicart.cart.total();
        $('input#cart').val('$' + cartTotal);

        // Get current URL
        var currentLocation = window.location.pathname;

        // Text to be used for custom "Checkout" button
        var checkoutText ="Checkout";

        // HTML element to be used for "Continue Shopping" button
        var continueShopping = "<a href='" + currentLocation + "' class='continue-shopping'>Continue Shopping</a>";

        // Append "Continue Shopping button"
        $( ".minicart-subtotal" ).each( function() {
                $(".continue-shopping").remove();
                $(this).append( continueShopping );
            });

        // Empty original PayPal button and add our own custom content
        $( ".minicart-submit" ).each( function() {
                $(this).empty();
                $(this).append(checkoutText);
            });



        /********** SETTING DYNAMIC UPDATES ON MOUSE CLICK AND KEYPRESS **********/

        // Update cart total on any mouse click
        $( "body" ).click(function() {
                setTimeout(function() { // Setting slight delay on function to accomodate for button push of removing items from cart
                var cartTotal = paypal.minicart.cart.total();
                $('input#cart').val('$' + cartTotal);


                // Append "Continue Shopping button"
                $( ".minicart-subtotal" ).each( function() {
                        $(".continue-shopping").remove();
                        $(this).append( continueShopping );
                    });

                // Empty original PayPal button and add our own custom content
                $( ".minicart-submit" ).each( function() {
                        $(this).empty();
                        $(this).append(checkoutText);
                    });

            }, 100);
        });

        // Update cart total on any keypress
        $( "body" ).keypress(function() {
           setTimeout(function() { // Setting longer delay on function to accomodate for key push of removing items from cart
                 var cartTotal = paypal.minicart.cart.total();
                $('input#cart').val('$' + cartTotal);

                // Append "Continue Shopping button"
                $( ".minicart-subtotal" ).each( function() {
                        $(".continue-shopping").remove();
                        $(this).append( continueShopping );
                    });

                // Empty original PayPal button and add our own custom content
                $( ".minicart-submit" ).each( function() {
                        $(this).empty();
                        $(this).append(checkoutText);
                    });

            }, 900);
        });
        
    });